import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { SearchService } from './../search.service';
import { Subscription } from 'rxjs/Rx';
export declare class SearchTopComponent implements OnInit, OnDestroy {
    private _searchService;
    listResult: EventEmitter<{}>;
    filter: {};
    results: any;
    lenResult: number;
    ordenation: boolean;
    oldFilter: Object;
    searched: boolean;
    searchFor: string;
    private searchInput;
    subscribeSearch: Subscription;
    subscribeUpdateSearch: Subscription;
    searching: boolean;
    constructor(_searchService: SearchService);
    ngOnInit(): void;
    search(value?: string): void;
    updateSearch(): void;
    setOrder(order: any, inputValue: any): void;
    setFilterSearch(event?: any): void;
    onScrollDown(): void;
    closeSearch(): void;
    ngOnDestroy(): void;
}
